Skip to content
Start here

Delete image

client.images.v1.delete(stringimageId, V1DeleteParams { account_id } params, RequestOptionsoptions?): V1DeleteResponse
DELETE/accounts/{account_id}/images/v1/{image_id}

Delete an image on Cloudflare Images. On success, all copies of the image are deleted and purged from cache.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Images Write
ParametersExpand Collapse
imageId: string

Image unique identifier.

maxLength32
params: V1DeleteParams { account_id }
account_id: string

Account identifier tag.

maxLength32
ReturnsExpand Collapse
V1DeleteResponse = unknown | string
One of the following:
unknown
string

Delete image

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const v1 = await client.images.v1.delete('image_id', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(v1);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}